com.jscape.inet.mft.management.descriptors

## Class FtpConfiguration

- java.lang.Object
- - com.jscape.inet.mft.management.descriptors.Configuration
  - - com.jscape.inet.mft.management.descriptors.TransportServiceConfiguration
    - - com.jscape.inet.mft.management.descriptors.FtpConfiguration

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class FtpConfiguration
      extends TransportServiceConfiguration

  Common FTP services configuration.
  Author:
    Alex Usun
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FtpConfiguration.DataConnectionType`
    `static class` | `FtpConfiguration.RepresentationType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BLOCK_BOUNCE_ATTACK` Block bounce attacks flag.
    `static java.lang.String` | `BLOCK_PASV_ATTACK` Block PASV attacks flag.
    `static java.lang.String` | `CONNECTION_TIMEOUT` FTP command channel connection timeout flag.
    `static java.lang.String` | `DATA_CONNECTION_TIMEOUT` FTP data channel connection timeout flag.
    `static java.lang.String` | `NEED_CLIENT_AUTH` Need client authorization certificate for SSL connection flag.
    `static java.lang.String` | `NEED_CLIENT_AUTH_DATA` Need client authorization certificate for SSL data connection flag.
    `static java.lang.String` | `PORT_RANGE` FTP PASV redirection port range.
    `static java.lang.String` | `REDIRECTION_IP` FTP PASV redirection host/IP flag.
    `static java.lang.String` | `SHUTDOWN_SSL` Shutdown SSL for CCC command flag.
    `static java.lang.String` | `WELCOME_MSG` FTP welcome message flag.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FtpConfiguration()`
    `FtpConfiguration(FtpConfiguration that)`
    `FtpConfiguration(java.util.Map options)`
    `FtpConfiguration(java.lang.String welcomeMessage, java.lang.String redirectionIp, com.jscape.inet.util.PortRange portRange, boolean shutdownSsl, boolean shutdownDataSsl, boolean commandNeedClientAuth, boolean dataNeedClientAuth, long commandConnectionTimeout, long dataConnectionTimeout, boolean tcpNoDelayEnabled, boolean blockPasvAttack, boolean blockBounceAttack, java.lang.String[] cipherSuites, java.lang.String[] enabledProtocols, java.lang.Integer receiveBufferSize, java.lang.Integer sendBufferSize, boolean forceDataChannelEncryption, FtpConfiguration.RepresentationType defaultRepresentationType, FtpConfiguration.DataConnectionType dataConnectionType, java.lang.String networkCharset, java.lang.String fileCharset)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `copy()`
    `boolean` | `getBlockBounceAttack()`
    `boolean` | `getBlockPasvAttack()`
    `java.lang.String[]` | `getCipherSuites()`
    `long` | `getCommandConnectionTimeout()`
    `boolean` | `getCommandNeedClientAuth()`
    `long` | `getDataConnectionTimeout()`
    `FtpConfiguration.DataConnectionType` | `getDataConnectionType()`
    `boolean` | `getDataNeedClientAuth()`
    `FtpConfiguration.RepresentationType` | `getDefaultRepresentationType()`
    `java.lang.String[]` | `getEnabledProtocols()`
    `java.lang.String` | `getFileCharset()`
    `java.lang.String` | `getNetworkCharset()`
    `com.jscape.inet.util.PortRange` | `getPortRange()`
    `java.lang.Integer` | `getReceiveBufferSize()`
    `java.lang.String` | `getRedirectionIp()`
    `java.lang.Integer` | `getSendBufferSize()`
    `boolean` | `getShutdownDataSsl()`
    `boolean` | `getShutdownSsl()`
    `java.lang.String` | `getWelcomeMessage()`
    `boolean` | `isForceDataChannelEncryption()`
    `boolean` | `isTcpNoDelayEnabled()`
    `void` | `setBlockBounceAttack(boolean value)`
    `void` | `setBlockPasvAttack(boolean value)`
    `void` | `setCipherSuites(java.lang.String[] value)`
    `void` | `setCommandConnectionTimeout(long value)`
    `void` | `setCommandNeedClientAuth(boolean value)`
    `void` | `setDataConnectionTimeout(long value)`
    `void` | `setDataConnectionType(FtpConfiguration.DataConnectionType value)`
    `void` | `setDataNeedClientAuth(boolean value)`
    `void` | `setDefaultRepresentationType(FtpConfiguration.RepresentationType value)`
    `void` | `setEnabledProtocols(java.lang.String[] value)`
    `void` | `setFileCharset(java.lang.String value)`
    `void` | `setForceDataChannelEncryption(boolean value)`
    `void` | `setNetworkCharset(java.lang.String value)`
    `void` | `setPortRange(com.jscape.inet.util.PortRange value)`
    `void` | `setReceiveBufferSize(java.lang.Integer value)`
    `void` | `setRedirectionIp(java.lang.String value)`
    `void` | `setSendBufferSize(java.lang.Integer value)`
    `void` | `setShutdownDataSsl(boolean value)`
    `void` | `setShutdownSsl(boolean value)`
    `void` | `setTcpNoDelayEnabled(boolean value)`
    `void` | `setWelcomeMessage(java.lang.String value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.mft.management.descriptors.Configuration

      `getVersion, setVersion`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### WELCOME_MSG

          public static final java.lang.String WELCOME_MSG

      FTP welcome message flag.
      See Also:
        Constant Field Values

    - #### REDIRECTION_IP

          public static final java.lang.String REDIRECTION_IP

      FTP PASV redirection host/IP flag.
      See Also:
        Constant Field Values

    - #### PORT_RANGE

          public static final java.lang.String PORT_RANGE

      FTP PASV redirection port range.
      See Also:
        Constant Field Values

    - #### SHUTDOWN_SSL

          public static final java.lang.String SHUTDOWN_SSL

      Shutdown SSL for CCC command flag.
      See Also:
        Constant Field Values

    - #### NEED_CLIENT_AUTH

          public static final java.lang.String NEED_CLIENT_AUTH

      Need client authorization certificate for SSL connection flag.
      See Also:
        Constant Field Values

    - #### NEED_CLIENT_AUTH_DATA

          public static final java.lang.String NEED_CLIENT_AUTH_DATA

      Need client authorization certificate for SSL data connection flag.
      See Also:
        Constant Field Values

    - #### CONNECTION_TIMEOUT

          public static final java.lang.String CONNECTION_TIMEOUT

      FTP command channel connection timeout flag.
      See Also:
        Constant Field Values

    - #### DATA_CONNECTION_TIMEOUT

          public static final java.lang.String DATA_CONNECTION_TIMEOUT

      FTP data channel connection timeout flag.
      See Also:
        Constant Field Values

    - #### BLOCK_PASV_ATTACK

          public static final java.lang.String BLOCK_PASV_ATTACK

      Block PASV attacks flag.
      See Also:
        Constant Field Values

    - #### BLOCK_BOUNCE_ATTACK

          public static final java.lang.String BLOCK_BOUNCE_ATTACK

      Block bounce attacks flag.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FtpConfiguration

          public FtpConfiguration(java.lang.String welcomeMessage,
                                  java.lang.String redirectionIp,
                                  com.jscape.inet.util.PortRange portRange,
                                  boolean shutdownSsl,
                                  boolean shutdownDataSsl,
                                  boolean commandNeedClientAuth,
                                  boolean dataNeedClientAuth,
                                  long commandConnectionTimeout,
                                  long dataConnectionTimeout,
                                  boolean tcpNoDelayEnabled,
                                  boolean blockPasvAttack,
                                  boolean blockBounceAttack,
                                  java.lang.String[] cipherSuites,
                                  java.lang.String[] enabledProtocols,
                                  java.lang.Integer receiveBufferSize,
                                  java.lang.Integer sendBufferSize,
                                  boolean forceDataChannelEncryption,
                                  FtpConfiguration.RepresentationType defaultRepresentationType,
                                  FtpConfiguration.DataConnectionType dataConnectionType,
                                  java.lang.String networkCharset,
                                  java.lang.String fileCharset)

    - #### FtpConfiguration

          public FtpConfiguration(FtpConfiguration that)

    - #### FtpConfiguration

          public FtpConfiguration(java.util.Map options)

    - #### FtpConfiguration

          public FtpConfiguration()

  - ### Method Detail

    - #### getWelcomeMessage

          public java.lang.String getWelcomeMessage()

    - #### setWelcomeMessage

          public void setWelcomeMessage(java.lang.String value)

    - #### getRedirectionIp

          public java.lang.String getRedirectionIp()

    - #### setRedirectionIp

          public void setRedirectionIp(java.lang.String value)

    - #### getPortRange

          public com.jscape.inet.util.PortRange getPortRange()

    - #### setPortRange

          public void setPortRange(com.jscape.inet.util.PortRange value)

    - #### getShutdownSsl

          public boolean getShutdownSsl()

    - #### setShutdownSsl

          public void setShutdownSsl(boolean value)

    - #### getShutdownDataSsl

          public boolean getShutdownDataSsl()

    - #### setShutdownDataSsl

          public void setShutdownDataSsl(boolean value)

    - #### getCommandNeedClientAuth

          public boolean getCommandNeedClientAuth()

    - #### setCommandNeedClientAuth

          public void setCommandNeedClientAuth(boolean value)

    - #### getDataNeedClientAuth

          public boolean getDataNeedClientAuth()

    - #### setDataNeedClientAuth

          public void setDataNeedClientAuth(boolean value)

    - #### getCommandConnectionTimeout

          public long getCommandConnectionTimeout()

    - #### setCommandConnectionTimeout

          public void setCommandConnectionTimeout(long value)

    - #### getDataConnectionTimeout

          public long getDataConnectionTimeout()

    - #### setDataConnectionTimeout

          public void setDataConnectionTimeout(long value)

    - #### isTcpNoDelayEnabled

          public boolean isTcpNoDelayEnabled()

    - #### setTcpNoDelayEnabled

          public void setTcpNoDelayEnabled(boolean value)

    - #### getBlockPasvAttack

          public boolean getBlockPasvAttack()

    - #### setBlockPasvAttack

          public void setBlockPasvAttack(boolean value)

    - #### getBlockBounceAttack

          public boolean getBlockBounceAttack()

    - #### setBlockBounceAttack

          public void setBlockBounceAttack(boolean value)

    - #### getCipherSuites

          public java.lang.String[] getCipherSuites()

    - #### setCipherSuites

          public void setCipherSuites(java.lang.String[] value)

    - #### getEnabledProtocols

          public java.lang.String[] getEnabledProtocols()

    - #### setEnabledProtocols

          public void setEnabledProtocols(java.lang.String[] value)

    - #### getReceiveBufferSize

          public java.lang.Integer getReceiveBufferSize()

    - #### setReceiveBufferSize

          public void setReceiveBufferSize(java.lang.Integer value)

    - #### getSendBufferSize

          public java.lang.Integer getSendBufferSize()

    - #### setSendBufferSize

          public void setSendBufferSize(java.lang.Integer value)

    - #### isForceDataChannelEncryption

          public boolean isForceDataChannelEncryption()

    - #### setForceDataChannelEncryption

          public void setForceDataChannelEncryption(boolean value)

    - #### getDefaultRepresentationType

          public FtpConfiguration.RepresentationType getDefaultRepresentationType()

    - #### setDefaultRepresentationType

          public void setDefaultRepresentationType(FtpConfiguration.RepresentationType value)

    - #### getDataConnectionType

          public FtpConfiguration.DataConnectionType getDataConnectionType()

    - #### setDataConnectionType

          public void setDataConnectionType(FtpConfiguration.DataConnectionType value)

    - #### getNetworkCharset

          public java.lang.String getNetworkCharset()

    - #### setNetworkCharset

          public void setNetworkCharset(java.lang.String value)

    - #### getFileCharset

          public java.lang.String getFileCharset()

    - #### setFileCharset

          public void setFileCharset(java.lang.String value)

    - #### copy

          public Configuration copy()

      Specified by:
        `copy` in class `Configuration`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2018. All Rights Reserved